Subject: bug#17743: 24.3; auth-source.el option "auth-source-do-cache" ignored

From: Justin Dove <[email-masked]>
Date: Mon, 09 Jun 2014 22:01:05 -0400

The documentation gives the impression that setting auth-source-do-cache
to nil should prevent auth-source from caching credentials. I have
experimentally tested this and found it to be false. As far as I can
tell, auth-source-do-cache is only checked in the function
auth-source-search. It seems to me that it should also be checked in
auth-source-remember and perhaps other associated functions.

Justin

In GNU Emacs 24.3.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
 of 2013-03-10 on bob.porkrind.org
Windowing system distributor `Apple', version 10.3.1187
Configured using:
 `configure '--host=x86_64-apple-darwin' '--build=i686-apple-darwin'
 '--with-ns' 'build_alias=i686-apple-darwin'
 'host_alias=x86_64-apple-darwin' 'CC=gcc -mmacosx-version-min=10.5 ''